API reference

Employees

The people in a workspace.

More about this resource

Workspace members available to assign as approval-chain approvers.

List employees

Lists the workspace's employees.

GET/v1/workspaces/{regionId}/employees

Parameters

  • role"buyer" | "supplier"Required

    Which side of the workspace to list employees for.

Returns

200 OK with the object shown in the response.

More details

Lists employees in this workspace, e.g. to populate the approval-chain approver picker in Settings.

Errors

  • 401 Unauthorized - No credential was presented, or the Bearer token / X-Api-Key value is missing, invalid, expired, or revoked.
  • 403 Forbidden - The caller's Bearer token or API key doesn't grant access to this workspace (regionId), or lacks the required role.
GET /v1/workspaces/{regionId}/employees
Request
curl "$PLEAXY_API_BASE_URL/v1/workspaces/{regionId}/employees" \
  -H "X-Api-Key: $PLEAXY_API_KEY"
Response · 200 OK
[ {
      "key": "string",
      "name": "string",
      "email": "string",
      "title": "string"
   } ]
Talk to us